<?xml version="1.0" encoding="UTF-8"?>
<node>
	<title>Classes CodeMirror de l’exportation tabulaire</title>
	<section>
		<p>Classes de la coloration syntaxique de l’exportation tabulaire</p>
		<ul variant="dl">
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-bigparam-content</s></p>
				<p>Fin d’une zone de paramétrage général (<s type="code" att-class="cm-tableexport-bigparam-content">&lt;extraction&gt;</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-bigparam-end</s></p>
				<p>Fin d’une zone de paramétrage général (<s type="code" att-class="cm-tableexport-bigparam-end">!!end</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-bigparam-name </s></p>
				<p>Nom d’un paramétrage général (<s type="code" att-class="cm-tableexport-bigparam-name">extraction</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-bigparam-start</s></p>
				<p>Début d’une zone de paramétrage général (<s type="code" att-class="cm-tableexport-bigparam-start">!!start</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-coldef</s></p>
				<p>Nom de définition d’une colonne (<s type="code" att-class="cm-tableexport-coldef">id</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-emptypatternsymbol</s></p>
				<p>Tiret indiquant une ligne de gabarit vide (<s type="code" att-class="cm-tableexport-emptypatternsymbol">-</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-formatpattern</s></p>
				<p>Gabarit de formatage (<s type="code" att-class="cm-tableexport-formatpattern">{annu_up}</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-formatsource</s></p>
				<p>Sources des données (<s type="code" att-class="cm-tableexport-formatsource">prop_personne</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-inclusionline</s></p>
				<p>Ligne de paramètrage d’une inclusion (<s type="code" att-class="cm-tableexport-inclusionline">currency=EUR</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-inclusionname</s></p>
				<p>Nom d’une inclusion (<s type="code" att-class="cm-tableexport-inclusionname">alphabetic</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-inclusionsymbol</s></p>
				<p>Symbole signifiant le début d’une inclusion (<s type="code" att-class="cm-tableexport-inclusionsymbol">%</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-instructionkey</s></p>
				<p>Nom d’un paramètre de colonne (<s type="code" att-class="cm-tableexport-instructionkey">cast</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-instructionvalue</s></p>
				<p>Valeur correcte d’un paramètre de colonne (<s type="code" att-class="cm-tableexport-instructionvalue">integer</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-paramname</s></p>
				<p>Nom d’un paramètre général (<s type="code" att-class="cm-tableexport-paramname">table_name</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-paramsymbol</s></p>
				<p>Symbole signalant un paramètre général (<s type="code" att-class="cm-tableexport-paramsymbol">!</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-paramvalue</s></p>
				<p>Valeur d’un paramètre général (<s type="code" att-class="cm-tableexport-paramvalue">apport</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-patternseparator</s></p>
				<p>Séparateur des gabarits (<s type="code" att-class="cm-tableexport-patternseparator">||</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tableexport-subsetpath</s></p>
				<p>Chemin des collections successives (<s type="code" att-class="cm-tableexport-subsetpath">motcle_axe/corpus_dossier</s>)</p>
			</li>
		</ul>
	</section>
</node>